MAPIC++ClientLibraryBindings 2.0 API Documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libmapipp::property_container_iterator Class Reference

Iterator to use with Property Container. More...

`#include <property_container.h>`

## Public Member Functions
int | get_tag ()
| Get Property Tag of the Property Value this operator points to.
int | get_type ()
| Get Property Tag Type.
bool | operator!= (const property_container_iterator &rhs) const
| operator!=
const void * | operator* ()
| operator*
property_container_iterator & | operator++ ()
| operator++
property_container_iterator | operator++ (int postfix)
| operator++ postfix
bool | operator== (const property_container_iterator &rhs) const
| operator==
| property_container_iterator ()
| Default Constructor. Creates an invalid iterator.

## Detailed Description

Iterator to use with Property Container.

Examples:
  test.cpp.

## Member Function Documentation

int libmapipp::property_container_iterator::get_tag | ( |  | ) |
| inline

Get Property Tag of the Property Value this operator points to.

Returns
  Property Tag of Property this iterator points to or MAPI_PROP_RESERVED if this is an invalid iterator.

int libmapipp::property_container_iterator::get_type | ( |  | ) |
| inline

Get Property Tag Type.

Returns
  Type of property this iterator points to or MAPI_PROP_RESERVED if this is an invalid iterator. Valid Types are:
  - PT_BOOLEAN
  - PT_I2
  - PT_LONG
  - PT_DOUBLE
  - PT_I8
  - PT_SYSTIME
  - PT_ERROR
  - PT_STRING8
  - PT_UNICODE
  - PT_BINARY
  - PT_CLSID
  - PT_ERROR
  - PT_MV_SHORT
  - PT_MV_LONG
  - PT_MV_STRING8
  - PT_MV_BINARY
  - PT_MV_CLSID
  - PT_MV_UNICODE
  - PT_MV_SYSTIME
  - PT_NULL
  - PT_OBJECT

const void* libmapipp::property_container_iterator::operator* | ( |  | ) |
| inline

operator*

Returns
  The property value as a void pointer.

The documentation for this class was generated from the following file:

- libmapi++/property_container.h

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/